## NAME

r.surf.gauss - Generates a raster map using gaussian random number generator.
Mean and standard deviation of gaussian deviates can be expressed by the user.

## KEYWORDS

raster, surface, random

## SYNOPSIS

r.surf.gauss
r.surf.gauss --help
r.surf.gauss output=name [mean=float] [sigma=float] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

### Flags:

--overwrite
  Allow output files to overwrite existing files
--help
  Print usage summary
--verbose
  Verbose module output
--quiet
  Quiet module output
--ui
  Force launching GUI dialog

### Parameters:

output=name [required]
  Name for output raster map
mean=float
  Distribution mean
  Default: 0.0
sigma=float
  Standard deviation
  Default: 1.0

## DESCRIPTION

r.surf.gauss produces a raster map of Gaussian deviates whose mean and standard deviation can be expressed by the user. It uses a Gaussian random number generator. It is essentially the same as r.surf.random, but uses a Gaussian random number generator instead.
Histogram of map generated with r.surf.gauss (mean=0, sigma=10)

## EXAMPLE

    g.region -p n=228500 s=215000 w=630000 e=645000 res=10
    r.surf.gauss out=gauss mean=0 sigma=10

    # check result
    r.univar gauss

## SEE ALSO

r.surf.contour, r.surf.fractal, r.surf.idw, r.surf.random, v.surf.rst

## AUTHOR

Jo Wood, ASSIST's home

Last changed: $Date: 2018-10-18 21:13:18 +0200 (Thu, 18 Oct 2018) $

## SOURCE CODE

Available at: r.surf.gauss source code (history)

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2019 GRASS Development Team, GRASS GIS 7.4.4 Reference Manual